package net.carbon.controller;

import net.carbon.model.vo.AchievementVO;
import net.carbon.result.Result;
import net.carbon.service.AchievementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api/achievement/v1")
public class AchievementController {
    @Autowired
    private AchievementService achievementService;

    @GetMapping("/list")
    public Result<List<AchievementVO>> getList(@RequestParam("page") Long page, @RequestParam("pageSize") Long pageSize, @RequestParam("projectID") String projectID){
       List<AchievementVO> list =  achievementService.getList(page,pageSize,projectID);
       return Result.success(list);
    }

}
