package net.carbon.controller;

import net.carbon.model.request.AchievementRequest;
import net.carbon.model.request.ProjectRequest;
import net.carbon.model.vo.ProjectVO;
import net.carbon.service.ProjectService;
import net.carbon.utils.JsonData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/project/v1")
public class ProjectController {

    @Autowired
    private ProjectService projectService;
    @GetMapping("/info")
    public JsonData getUserProject(@RequestParam("userProjectId") String userProjectId){
        List<ProjectVO> projectVOList = projectService.userProject(userProjectId);
        return JsonData.buildSuccess(projectVOList);
    }

    @PostMapping("/add")
    public JsonData addProject(@RequestBody ProjectRequest projectRequest){
        projectService.addProject(projectRequest);
        return JsonData.buildSuccess();
    }

    @PutMapping("/edit")
    public JsonData editProject(@RequestBody AchievementRequest achievementRequest){
        projectService.editProject(achievementRequest);
        return JsonData.buildSuccess();
    }

    @DeleteMapping("/delete")
    public JsonData deletePropertyAndProjectUser(@RequestParam("id") Long id){
        projectService.deleteProAndPU(id);
        return JsonData.buildSuccess();
    }
}
