package net.carbon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.carbon.model.po.AchievementDO;
import net.carbon.model.request.ProjectRequest;
import net.carbon.model.vo.AchievementVO;
import net.carbon.model.vo.ProjectVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface ProjectMapper extends BaseMapper<ProjectRequest> {

    @Select("select * from project_user where projectId = #{userProjectId}")
    List<ProjectVO> userProject(String userProjectId);

    void update(AchievementDO achievementDO);

    @Delete("delete from project_property where id = #{id}")
    void deleteProperty(Long id);

    @Delete("delete from project_user where property_id = #{propertyId}")
    void deleteProjectUser(Long propertyId);

    @Select("select projectId from project_user where user_id = #{id}")
    String getProjectIdByUserId(Long id);
}
