package net.carbon.service.impl;

import net.carbon.mapper.ProjectMapper;
import net.carbon.model.po.AchievementDO;
import net.carbon.model.request.AchievementRequest;
import net.carbon.model.request.ProjectRequest;
import net.carbon.model.vo.ProjectVO;
import net.carbon.service.ProjectService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class ProjectServiceImpl implements ProjectService{
    @Autowired
    private ProjectMapper projectMapper;
    @Override
    public List<ProjectVO> userProject(String userProjectId) {
        List<ProjectVO> userProjectList = projectMapper.userProject(userProjectId);
        return userProjectList;
    }

    @Override
    public void addProject(ProjectRequest projectRequest) {
        projectMapper.insert(projectRequest);
    }

    @Override
    public void editProject(AchievementRequest achievementRequest) {
        AchievementDO achievementDO = new AchievementDO();
        BeanUtils.copyProperties(achievementRequest,achievementDO);
        projectMapper.update(achievementDO);
    }

    @Transactional
    @Override
    public void deleteProAndPU(Long id) {
        projectMapper.deleteProperty(id);
        projectMapper.deleteProjectUser(id);
    }
}
